if [ "$#" -ne 2 ]; then
  echo "Welcome to xoprinti.sh"
  echo "A tiny utility using the"
  echo "Linux 'convert' program,"
  echo "or ImageMagick, for those"
  echo "who are used to such as"
  echo "./xoprinti eg in Intel/AMD"
  echo "linux 64-bit with G15 PMN."
  echo "This script should work on"
  echo "other processors as well,"
  echo "when there is a linux"
  echo "with 'convert' installed,"
  echo "including Raspberry PI."
  echo "USAGE: "
  echo "./xoprinti.sh INFILE OUTFILE"
  echo "eg ./xoprinti.sh xo1.bmp xo1.gif"
  echo "Converts greentone to bnw"
  echo "paper-printer friendly tone."
  echo "xoprinti inverts, xoprint retains."
  exit
  fi
if ! [ -e "$1" ] ; then
  echo "$1 Please check "
  exit
fi
convert $1 -negate -monochrome $2
